# LDAP Populate

This module extends the functionality of auth_ldap by adding functionality so that users can be populated from a LDAP server.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

To use this module, you need to:

1. Go to ‘Settings’ -> ‘General Settings’
2. In the LDAP category click on or add a LDAP configuration
3. In the pop-up enter all the LDAP settings
4. Click the populate button
5. A new pop-up will notify you of how many users are added

## Known issues / Roadmap

- Improve test coverage and port its LDAP Patch method to a module where they can be imported and reutilized on other tests.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Therp BV

### Contributors

- Therp BV <https://therp.nl>
- Tecnativa:
  - Alexandre Díaz
  - João Marques
  - Carlos Roca
  - Carolina Fernandez

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.